using Encompass;
using MoonTools.Structs;
using SpriteFontPlus;

namespace PongFE.Messages
{
    public struct UITextSpawnMessage : IMessage
    {
        public Position2D Position { get; }
        public string Text { get; }
        public DynamicSpriteFont Font { get; }

        public UITextSpawnMessage(Position2D position, DynamicSpriteFont font, string text)
        {
            Position = position;
            Font = font;
            Text = text;
        }
    }
}
