using Encompass;
using SpriteFontPlus;

namespace PongFE.Components
{
    public struct UITextComponent : IComponent
    {
        public DynamicSpriteFont Font { get; }
        public string Text { get; }

        public UITextComponent(DynamicSpriteFont font, string text)
        {
            Font = font;
            Text = text;
        }
    }
}
